# VLC_HTTP_LAUNCHER

This project is a simple python programme to travel in http repository and open all file in VLC 

## Installation

1. Clone the repository:
```bash
git clone https://git.chauvet.pro/starnakin/VLC_HTTP_LAUNCHER
```
2. Navigate to the project directory:
```bash
cd VLC_HTTP_LAUNCHER
```
3. Install the dependencies:
```bash
pip install -r requirements.txt
```

## Usage

```bash
python3 main.py
```

## dependency

### BeautifulSoup4
To parse the html
###  Requests
To get html with http requests
###  [simple-term-menu](https://pypi.org/project/simple-term-menu/)
To create navigate CLI menu
### [TinyDB](https://pypi.org/project/tinydb/)
To store credential data and url of the http server
###  SubProcess and Os
To launch VLC